## kapow 1.5.8

=== debian/changelog ===
kapow (1.5.8-0.1~mx17+1) mx; urgency=medium

  * Import 1.5.8 release.
  * Update debian/copyright dates.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Aug 2018 13:30:57 -0700

kapow (1.5.6-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 May 2018 10:50:02 -0700

kapow (1.5.6-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.6

 -- Graeme Gott <graeme@gottcode.org>  Tue, 29 May 2018 10:51:49 +0000

kapow (1.5.5-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.5

 -- Graeme Gott <graeme@gottcode.org>  Wed, 27 Dec 2017 17:23:03 +0000

kapow (1.5.4-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.4

 -- Graeme Gott <graeme@gottcode.org>  Fri, 27 Oct 2017 19:19:57 +0000

kapow (1.5.3-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.3

 -- Graeme Gott <graeme@gottcode.org>  Sat, 05 Aug 2017 13:12:58 +0000

kapow (1.5.2-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.2

 -- Graeme Gott <graeme@gottcode.org>  Thu, 03 Nov 2016 15:37:54 +0000

kapow (1.5.1-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.1

 -- Graeme Gott <graeme@gottcode.org>  Mon, 10 Oct 2016 10:33:26 +0000

kapow (1.5.0-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.5.0
    - Disabled removing projects with running timers in subprojects.
    - Properly stop all timers when program exits.
    - Added starting, stopping, or canceling sessions from sidebar.
    - Added support for high DPI displays.
    - Added AppData file.
    - Added manpage.
    - Added unit tests.
    - Refactored code.
    - Simplified build system.
    - Switched to Qt 5.
    - Switched to C++11.
    - FIXED: Could not add session longer than one day.
    - FIXED: Broken system tray icon support in Windows.
    - FIXED: Setting locale did not change layout direction.
    - FIXED: SessionModel ids were treated as signed ints.
    - Translation updates: Arabic, Bulgarian, Czech, Danish, Dutch, French,
      German, Greek, Lithuanian, Norwegian, Polish, Portuguese (Brazil),
      Romanian, Russian, Spanish, Turkish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 17 Sep 2016 22:47:58 +0000

kapow (1.4.4.2-0ppa1~trusty1) trusty; urgency=low

  * Update to 1.4.4.2
    - Fix migrating time data

 -- Graeme Gott <graeme@gottcode.org>  Mon, 12 May 2014 22:21:20 +0000

kapow (1.4.4.1-0ppa3~trusty1) trusty; urgency=low

  * Fix compiler warnings

 -- Graeme Gott <graeme@gottcode.org>  Mon, 12 May 2014 13:15:35 +0000

kapow (1.4.4.1-0ppa2~trusty1) trusty; urgency=low

  * Switch to Qt 5
  * Update copyright file

 -- Graeme Gott <graeme@gottcode.org>  Sun, 11 May 2014 16:43:09 +0000

kapow (1.4.4.1-0ppa1~trusty1) trusty; urgency=low

  * Initial release

 -- Graeme Gott <graeme@gottcode.org>  Tue, 25 Jun 2013 18:02:01 +0000
