=== debian/control ===
Source: kapow
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://gottcode.org/kapow/

Package: kapow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A punch clock program
 A punch clock program designed to easily keep track of your hours,
 whether you're working on one project or many. Simply clock in
 and out with the Start/Stop button. If you make a mistake in your
 hours, you can go back and edit any of the entries by double-clicking
 on the session in question. Kapow also allows you to easily keep
 track of the hours since you last billed a client, by providing a
 helpful "Billed" checkbox--the totals will reflect your work
 after the last billed session.
