=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

#override_dh_installchangelogs:
#	dh_installchangelogs NEWS
