=== debian/watch ===
version=3
https://github.com/gottcode/kapow/releases /gottcode/kapow/archive/v(.+)\.tar\.gz
