## kapow 1.5.10

=== debian/changelog ===
kapow (1.5.10-0.1~mx19+1) mx; urgency=medium

  * Import 1.5.10 release:
    - FIXED: Did not load locales with underscores.
    - Translation updates: Italian.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Jun 2020 11:44:42 -0700

kapow (1.5.9-0.1~mx19+1) mx; urgency=medium

  * Import 1.5.9 release:
    - FIXED: Window icon didn't work in Wayland.
    - Improved loading locales.
    - Improved Windows deployment.
    - Replaced deprecated code.
    - Translation updates: Czech, French.
  * Update debian/copyright dates.
  * debian/control: Now requires Qt >= 5.9, and bump to debhelper compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 23 Aug 2019 09:40:22 -0700
