=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Graeme Gott <graeme@gottcode.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>= 10),
+               qtbase5-dev (>= 5.9.0),
+               qttools5-dev-tools (>= 5.9.0)
 Standards-Version: 3.9.8
 Homepage: https://gottcode.org/kapow/
