=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 %:
 	dh $@ --parallel
 
-#override_dh_installchangelogs:
-#	dh_installchangelogs NEWS
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
