## kapow 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(kapow VERSION 1.6.2 LANGUAGES CXX)
+project(kapow VERSION 1.6.4 LANGUAGES CXX)
 
-set(project_copyright "2008-2024 Graeme Gott")
+set(project_copyright "2008-2025 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
 )
 
 # Version number
@@ -37,18 +37,28 @@
 	add_subdirectory(tests)
 endif()
 
-# Create translations
-file(GLOB translations_SRCS translations/*.ts)
-qt6_add_translation(translations_QM ${translations_SRCS})
-
-add_custom_target(update_translations
-	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	VERBATIM
-)
-
 # Create program
-qt6_add_executable(kapow
+qt_add_executable(kapow
+	# Headers
+	src/contact.h
+	src/date_editor.h
+	src/filter_model.h
+	src/locale_dialog.h
+	src/paths.h
+	src/project.h
+	src/project_delegate.h
+	src/rates.h
+	src/report.h
+	src/session.h
+	src/session_delegate.h
+	src/session_dialog.h
+	src/session_model.h
+	src/settings.h
+	src/time_editor.h
+	src/window.h
+	src/3rdparty/qtsingleapplication/qtsingleapplication.h
+	src/3rdparty/qtsingleapplication/qtlocalpeer.h
+	# Sources
 	src/contact.cpp
 	src/date_editor.cpp
 	src/filter_model.cpp
@@ -68,6 +78,7 @@
 	src/window.cpp
 	src/3rdparty/qtsingleapplication/qtsingleapplication.cpp
 	src/3rdparty/qtsingleapplication/qtlocalpeer.cpp
+	# Resources
 	${translations_QM}
 )
 
@@ -81,6 +92,14 @@
 	Qt6::Network
 	Qt6::PrintSupport
 	Qt6::Widgets
+)
+
+# Create translations
+file(GLOB translations_SRCS translations/*.ts)
+qt_add_translations(kapow
+	TS_FILES ${translations_SRCS}
+	QM_FILES_OUTPUT_VARIABLE translations_QM
+	LUPDATE_OPTIONS -no-obsolete -locations none
 )
 
 # Optimize build
@@ -139,8 +158,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/kapow/translations)
 	install(FILES doc/kapow.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/kapow.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES icons/kapow.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/icons/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS KAPOW_DATADIR="${datadir}")
