=== debian/changelog ===
kapow (1.6.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1125307)

 -- Maytham Alsudany <maytham@debian.org>  Thu, 15 Jan 2026 18:47:25 +0800
