=== debian/control ===
Source: kapow
Section: misc
Maintainer: Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 qt6-tools-dev,
Standards-Version: 4.7.3
Homepage: https://gottcode.org/kapow/
Vcs-Browser: https://salsa.debian.org/debian/kapow
Vcs-Git: https://salsa.debian.org/debian/kapow.git

Package: kapow
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: punch clock program to keep track of your hours
 Kapow is a punch clock program designed to easily keep track of your hours,
 whether you're working on one project or many. Simply clock in and out with
 the Start/Stop button. If you make a mistake in your hours, you can go back
 and edit any of the entries by double-clicking on the session in question.
 Kapow also allows you to easily keep track of the hours since you last billed
 a client, by providing a helpful "Billed" checkbox; the totals will reflect
 your work after the last billed session.
